Debian Bug report logs - #393092
RM: initrd-tools -- RoM; outdated; unusable

version graph

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Bastian Blank <waldi@debian.org>

Date: Sat, 14 Oct 2006 23:03:21 UTC

Severity: normal

Found in version n/a

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#393092; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
New Bug report received and forwarded. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: submit@bugs.debian.org
Subject: RM: initrd-tools - RoM: unusable, outdated
Date: Sun, 15 Oct 2006 00:17:48 +0200
[Message part 1 (text/plain, inline)]
Package: ftp.debian.org
Version: N/A

Please remove initrd-tools from unstable.

Bastian

-- 
Without facts, the decision cannot be made logically.  You must rely on
your human intuition.
		-- Spock, "Assignment: Earth", stardate unknown
[signature.asc (application/pgp-signature, inline)]

Changed Bug title. Request was from Adam D. Barratt <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#393092; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to "Ryan Finnie" <ryan@finnie.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #12 received at 393092@bugs.debian.org (full text, mbox):

From: "Ryan Finnie" <ryan@finnie.org>
To: 393092@bugs.debian.org
Subject: Re: RM: initrd-tools -- RoM; outdated; unusable
Date: Wed, 1 Nov 2006 22:35:14 -0800
As mentioned in bug #396331, current etch libc6 Conflicts: older
versions of initrd-tools, which, if an updated initrd-tools were not
available, would force initrd-tools removed (and hence all kernel
packages) during dist-upgrade.

Ryan Finnie



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#393092; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to "Kevin B. McCarty" <kmccarty@Princeton.EDU>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #17 received at 393092@bugs.debian.org (full text, mbox):

From: "Kevin B. McCarty" <kmccarty@Princeton.EDU>
To: debian-release@lists.debian.org, initrd-tools@packages.debian.org, 393092@bugs.debian.org
Subject: Sarge -> Etch upgrade: no way to prevent removal of running kernel
Date: Thu, 21 Dec 2006 16:44:07 -0800
[Message part 1 (text/plain, inline)]
Hi release team and initrd-tools maintainer,

One issue that seems problematic for people currently upgrading from
Sarge to Etch is that there is currently no initrd-tools package in
Etch.  (I guess it's been removed because of #395181 and/or #393092. Why
can't #395181 just be fixed already?)

The problem is that on a dist-upgrade, the new libc6 in Etch Conflicts
against initrd-tools (<< 0.1.84.1).  (This conflict was added in libc6
2.3.6-8.)  Since there is no new initrd-tools in Etch to which we can
upgrade, apt/aptitude is forced to decide to remove initrd-tools
0.1.81.1 to perform the upgrade.  But all the 2.4 and 2.6 kernels in
Sarge (at least on i386) Depend upon initrd-tools.  So in order to
dist-upgrade, one would be forced first to install a new kernel from
Etch, in order not to have the package containing the running kernel
removed out from under the system.

However, if we look at the dependencies of the 2.6.18 kernel images in
Etch, we see that they Depend: initramfs-tools | yaird |
linux-initramfs-tool.  The first of these Depends on udev (>= 0.086-1)
which in turn Depends on the libc6 in Etch.  The second directly Depends
on the Etch libc6.  The last is a virtual package that (at least in
Etch/i386) is provided only by the first two.

Hence there is currently *no way* to upgrade Sarge -> Etch without the
package manager insisting to remove the running kernel package!

Possible fixes:

1) Fix #395181 so initrd-tools can get back into Etch
2) Make available 2.4.27/2.6.8 kernel images for a new Sarge point
release that don't depend on initrd-tools
3) Make available udev and/or yaird packages built against the Sarge libc6
4) Remove the initrd-tools conflict from libc6 in Etch (might not work
due to #364338)
5) Others?

regards,

-- 
Kevin B. McCarty <kmccarty@princeton.edu>   Physics Department
WWW: http://www.princeton.edu/~kmccarty/    Princeton University
GPG: public key ID 4F83C751                 Princeton, NJ 08544

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#393092; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to "Roberto C. Sanchez" <roberto@connexer.com>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #22 received at 393092@bugs.debian.org (full text, mbox):

From: "Roberto C. Sanchez" <roberto@connexer.com>
To: debian-release@lists.debian.org, 393092@bugs.debian.org
Subject: Re: Sarge -> Etch upgrade: no way to prevent removal of running kernel
Date: Thu, 21 Dec 2006 20:26:20 -0500
[Message part 1 (text/plain, inline)]
On Thu, Dec 21, 2006 at 04:44:07PM -0800, Kevin B. McCarty wrote:
> 
> Hence there is currently *no way* to upgrade Sarge -> Etch without the
> package manager insisting to remove the running kernel package!
> 
Ouch.

> Possible fixes:
> 
> 1) Fix #395181 so initrd-tools can get back into Etch
> 2) Make available 2.4.27/2.6.8 kernel images for a new Sarge point
> release that don't depend on initrd-tools
Except that this assumes someone has upgraded to the latest point
release.  I understand that the upgrade problem is critical, but I don't
think this sort of functionality can be added in a point release and
then legitimately assumed to be present by the Etch installer.  I think
you must assume that the person will have some previous version of the
kernel with the dependency still in place.

Besides, I think that releasing new kernel packages requires lots of
work from the kernel team.

> 3) Make available udev and/or yaird packages built against the Sarge libc6
> 4) Remove the initrd-tools conflict from libc6 in Etch (might not work
> due to #364338)
> 5) Others?
> 
Introduce a dummy initrd-tools in Etch which conflicts with +1 to the
Debian version of Etch's libc6?  That way at the first security update
to libc6 or the release of Lenny (whichever comes first) the package
will be forcibly removed anyway.  Another possibility would be to have
it depend on exactly the version of libc6 Etch releases with.

Regards,

-Roberto

-- 
Roberto C. Sanchez
http://people.connexer.com/~roberto
http://www.connexer.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#393092; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Andreas Metzler <ametzler@downhill.at.eu.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #27 received at 393092@bugs.debian.org (full text, mbox):

From: Andreas Metzler <ametzler@downhill.at.eu.org>
To: debian-release@lists.debian.org
Cc: "Roberto C. Sanchez" <roberto@connexer.com>, 393092@bugs.debian.org
Subject: Re: Sarge -> Etch upgrade: no way to prevent removal of running kernel
Date: Fri, 22 Dec 2006 19:45:22 +0100
On 2006-12-22 "Roberto C. Sanchez" <roberto@connexer.com> wrote:
[...]
> Introduce a dummy initrd-tools in Etch which conflicts with +1 to the
> Debian version of Etch's libc6?

What kind of dummy packages do you think of? An empty one depending on 
yaird | initramfs-tools | linux-initramfs-tool

Would sarge's kernel work with yaird?
cu and- Pretty sure I am missing the whole point - reas
-- 
The 'Galactic Cleaning' policy undertaken by Emperor Zhark is a personal
vision of the emperor's, and its inclusion in this work does not constitute
tacit approval by the author or the publisher for any such projects,
howsoever undertaken.                                (c) Jasper Ffforde



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#393092; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Noah Meyerhans <noahm@debian.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #32 received at 393092@bugs.debian.org (full text, mbox):

From: Noah Meyerhans <noahm@debian.org>
To: debian-release@lists.debian.org
Cc: "Roberto C. Sanchez" <roberto@connexer.com>, 393092@bugs.debian.org
Subject: Re: Sarge -> Etch upgrade: no way to prevent removal of running kernel
Date: Fri, 22 Dec 2006 15:26:30 -0500
[Message part 1 (text/plain, inline)]
On Fri, Dec 22, 2006 at 07:45:22PM +0100, Andreas Metzler wrote:
> What kind of dummy packages do you think of? An empty one depending on 
> yaird | initramfs-tools | linux-initramfs-tool
> 
> Would sarge's kernel work with yaird?
> cu and- Pretty sure I am missing the whole point - reas

If we don't support the use of a sarge kernel when running etch, then
the initrd-tools dummy package can really be completely empty.  It
merely needs to exist to satisfy the old kernel-image's dependency on an
initrd-tools package so we don't remove the running kernel-image.  We
don't need a working initrd-tools package, or any other means of
generating a new initrd that works with the old sarge kernel.

OTOH, we could just let initrd-tools 0.1.84.1 migrate from sid to etch.
That might be the simplest solution.  Is this really going to break
anything?

noah

[signature.asc (application/pgp-signature, inline)]

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Bastian Blank <waldi@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #37 received at 393092-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 393092-close@bugs.debian.org
Subject: Bug#393092: fixed
Date: Wed, 03 Jan 2007 06:13:12 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

initrd-tools |   0.1.84.2 | source, all

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 393092@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Ryan Murray (the ftpmaster behind the curtain)



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#393092; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to "Jurij Smakov" <jurij@wooyd.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #42 received at 393092@bugs.debian.org (full text, mbox):

From: "Jurij Smakov" <jurij@wooyd.org>
To: "Patrick Strasser" <patrick.strasser@tugraz.at>
Cc: 393092@bugs.debian.org
Subject: Re: Bug #393092 initrd-tools hit again
Date: Tue, 16 Jan 2007 13:43:00 -0800 (PST)
> Dear Debian Kernel Team!
>
> Although I know that your time is approaching zero this days, I'd like
> to point out that I had to face a problem with initrd-tools.
>
> I'm running an old system with an old kernel that depends on initrd-tools.
> After upgrading libc6 due to a dependency my kernel should have been
> removed, exactly as Kevin McCarty outlined. This is not nice :-(
> I managed to get around by installing initrd-tools 0.1.84.1 manually.

What did you upgrade to? Etch currently has initrd-tools 0.1.84.2, which
were specifically uploaded to unbreak the upgrade path. It has been
recently removed from unstable which, I think, is an oversight (will
investigate).

-- 
Jurij Smakov                                           jurij@wooyd.org
Key: http://www.wooyd.org/pgpkey/                      KeyID: C99E03CC





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 23:53:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:37:20 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.